For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox tags

Lists all tags for a chatbot

get

Required Permission: chatbots.tags.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all tags.

application/json
errorstringOptional

Optional error message.

get
/v1/inbox/{chatbotId}/tags

Creates a new tag

post

Required Permission: chatbots.tags.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringRequired

The name of the new tag.

Example: VIP Customer
colorstringRequired

The color of the tag.

Example: blue
Responses
post
/v1/inbox/{chatbotId}/tags

Retrieves a specific tag

get

Required Permission: chatbots.tags.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to retrieve.

Responses
200

Details of the tag.

application/json
errorstringOptional

Optional error message.

get
/v1/inbox/{chatbotId}/tags/{tagId}

Deletes a tag

delete

Required Permission: chatbots.tags.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to delete.

Responses
200

Tag deleted successfully.

No content

delete
/v1/inbox/{chatbotId}/tags/{tagId}

No content

Updates an existing tag

patch

Required Permission: chatbots.tags.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

tagIdstringRequired

The ID of the tag to update.

Body
namestringRequired

The new name of the tag.

Example: High Priority
colorstringRequired

The new color of the tag.

Example: dark_green
Responses
200

Tag updated successfully.

application/json
errorstringOptional

Optional error message.

patch
/v1/inbox/{chatbotId}/tags/{tagId}

Last updated